> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/adding-complaint-by-txnid.md).

# Adding complaint by txnId

<mark style="color:blue;">**Api used to raise complaint against a transaction**</mark>

| Endpoint                                                                 |
| ------------------------------------------------------------------------ |
| **Request:**<mark style="color:blue;">**POST /couapp/complaints**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                              |
| -------------------------------------- | --------------------- | --------- | --------- | -------------------------------------------------------- |
| \[ROOT] (No parent property / element) | complaintDescription  | M         | String    | Complaint description that the user enters               |
|                                        | complaintDisposition  | M         | String    | Complaint disposition                                    |
|                                        | complaintType         | M         | String    | The type of complaint                                    |
|                                        | txnId                 | O         | UUID      | Transaction id for which the complaint is raised against |
|                                        | clientReqId           | O         | String    | Client req id for which the complaint is raised against  |

<mark style="color:blue;">**Response Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element | Property/Element Name | Mandatory | Data Type | Description                                              |
| ----------------------- | --------------------- | --------- | --------- | -------------------------------------------------------- |
| complaints              | complaintId           | M         | UUID      | Id for the complaint disposion                           |
|                         | complaintDescr        | M         | String    | Complaint description                                    |
|                         | complaintDispos       | M         | String    | Complaint disposition                                    |
|                         | complaintType         | M         | String    | Type of the complaint                                    |
|                         | txnId                 | M         | String    | Transaction id for which the complaint is raised agains  |
|                         | txnNpciId             | M         | String    | Transaction id for which the complaint is raised agains  |
|                         | assignedTo            | M         | String    | To Whom the complaint is assigned                        |
|                         | complaintNpciId       | M         | String    | Npci id of the complaint                                 |
|                         | complaintRaisedFrom   | M         | String    | Who raised the complaint                                 |
|                         | userId                | M         | String    | User id of the one who raised the complaint              |
|                         | status                | M         | String    | Status of the complaint                                  |
|                         | refId                 | M         | String    | Reference id                                             |
|                         | estimated\_TAT        | M         | String    |                                                          |
|                         | creationDate          | M         | String    | ISO 8601 Timestamp for the Complaint Creation date       |
|                         | modifiedDate          | M         | String    | ISO 8601 Timestamp for the Complaint Modification date   |
|                         | createdEpochDate      | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Creation date     |
|                         | modifiedEpochDate     | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Modification date |
| generalResp             | statusCode            | M         | String    | 200- SUCCESS Other than 200-Failure                      |
|                         | status                | M         | String    | It is either “Success” or failure                        |
|                         | message               | M         | String    | Contains the reason message for failure / success        |

<mark style="color:blue;">**Json Formatted RequestExample**</mark>

```json
{
"complaintDescription": "Testing",
"complaintDisposition": "Transaction Successful, account nAot updated", 
"complaintType": "transaction",
"txnId": "6f5c45bb-03f7-46c2-88a8-7c1ac9f83714", 
"tenantId": "FE41"
}
```

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
{
"complaints": { 
"complaintDescr": "Testing",
"complaintDispos": "Transaction Successful, account not updated", 
"complaintId": "5383c03b-28e7-4d9c-ac4c-3d19e6ec9e61", 
"complaintRaisedFrom": "agent",
"complaintType": "npciComplaint", 
"createdEpochDate": 1682315434, 
"creationDate": "2023-04-24T11:20:34.937317Z", 
"modifiedDate": "2023-04-24T11:20:35.105937Z",
"modifiedEpochDate": 1682315435,
"refId": "wpTw4UDGDS23mSPYK7vmub2X8uX31141120", 
"status": "COMPLAINT_REQUEST_SUCCESS",
"tenantId": "FE41",
"txnId": "6f5c45bb-03f7-46c2-88a8-7c1ac9f83714", 
"txnNpciId": "FE413102sViuzlGJFbCy",
"userId": "FE41FE42BNK519012345", 
"agentId": "FE41FE42BNK519012345"
},
"generalResp": {
"message": "Complaint raising requested", 
"remarks": "",
"status": "success", 
"statusCode": "200"
}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/adding-complaint-by-txnid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
